Get Job Code [Single]
Get Job Code [Single]
Summary Description
The GET Single Job Code API endpoint allows users to fetch specific Job Code details from a client’s Paylocity instance. To use this endpoint, the Paylocity Company ID and Job Code must be specified
Use Cases
- This API endpoint will allow an API user to retrieve a Job Code record for a specific company ID and Job Code ID
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
companyId
Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.
jobCode
Company job code identifier.
Headers
testMode
If true all responses are mocked and generated randomly
Accept
Media type(s) the client can accept in the response (typically application/json).
Response
Successful response
Errors
401
Unauthorized Error